Subject: Re: [PATCH RFC 1/6] send-email: Add --delay for separating emails

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Apr 2009 01:49:17 -0700

Jeff King <[email-masked]> writes:

> I disagree that it's unintrusive (and I understand that you don't think
> it is, and that there may be others like you, but I am pointing out
> there are others who think the opposite). But given that it's optional,
> and it's not very much code, I don't have a strong objection. My
> original comment was that I was dubious whether it would work: however,
> I was thinking you would set it to a few seconds. Setting it to 60
> seconds, I can imagine it would have an impact.

Heh, then why not make the option specify the number of _minutes_ not
seconds to delay?  That would help clarifying what this option is meant to
do.

The description for this new feature in the manual page should make it
absolutely clear that the maintainer who accepts such a feature is not
clueless to think that such a delay will guarantee something.  It is
merely for people who believe it would help guaranteeing the delivery
order _in practice_ and are willing to background the slow sending.